> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a form batch



## OpenAPI

````yaml /spec/openapi.json post /form_batches
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /form_batches:
    post:
      tags:
        - Form Batches
      summary: Create a form batch
      operationId: form-batches-store
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    owner_id:
                      type: string
                    form_type:
                      type: string
                      description: >-
                        The type of Forms in this batch (e.g. T4, RL-1).


                        Must be a form type that supports form batches. Not all
                        form types support batches.
                      enum:
                        - rl1
                        - roe
                        - t4
                        - t4a
                        - td1
                        - td1ab
                        - td1bc
                        - td1mb
                        - td1nb
                        - td1nl
                        - td1ns
                        - td1nt
                        - td1nu
                        - td1on
                        - td1pe
                        - td1sk
                        - td1x
                        - td1yt
                        - tp_1015_3_v
                        - tp_1015_r_13_v
                    effective_date:
                      type: string
                      description: >-
                        The effective date used to determine the form variant
                        for all Forms in this batch.


                        Determines the form variant. Defaults to January 1 of
                        the current year if not provided.
                      format: date
                    form_stage:
                      type: string
                      description: >-
                        The lifecycle stage of the Forms in this batch:
                        original, amendment, or cancellation.


                        Defaults to `original` if not provided.
                      enum:
                        - amendment
                        - cancellation
                        - original
                    contact_name:
                      type: string
                      description: >-
                        The name of the contact person responsible for this
                        submission.
                      maxLength: 255
                    contact_email:
                      type: string
                      description: The email address of the contact person.
                      maxLength: 255
                    contact_area_code:
                      type: string
                      description: The 3-digit area code of the contact's phone number.
                    contact_phone_number:
                      type: string
                      description: The 7-digit phone number of the contact.
                    contact_extension:
                      type: string
                      description: The optional extension for the contact's phone number.
                      nullable: true
                    note:
                      type: string
                      description: An optional note for this form batch.
                      nullable: true
                      maxLength: 65000
                - type: object
                  required:
                    - owner_id
                    - form_type
                    - contact_name
                    - contact_email
                    - contact_area_code
                    - contact_phone_number
            example:
              owner_id: <id>
              form_type: t4
              effective_date: '2026-01-01'
              form_stage: original
              contact_name: Prof. Brody Ernser III
              contact_email: weber.pierre@example.net
              contact_area_code: '657'
              contact_phone_number: '3654916'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"form_batch"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/FormBatch'
              example:
                id: <id>
                object: form_batch
                data:
                  owner:
                    id: <id>
                    object: business_entity
                    links:
                      self: /business_entities/<id>
                  form_type: t4
                  form_stage: original
                  effective_date: '2026-01-01'
                  status: draft
                  contact_name: Prof. Brody Ernser III
                  contact_email: weber.pierre@example.net
                  contact_area_code: '657'
                  contact_phone_number: '3654916'
                  contact_extension: null
                  note: null
                  metadata:
                    counts:
                      total: 0
                      valid: 0
                      invalid: 0
                      draft: 0
                      approved: 0
                      processing: 0
                      submitted: 0
                      done: 0
                      rejected: 0
                    flags:
                      is_submittable: false
                    timestamps:
                      submitted_at: null
                      completed_at: null
                    identifiers:
                      confirmation_number: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /form_batches/<id>
components:
  schemas:
    FormBatch:
      type: object
      title: Form Batch
      properties:
        owner:
          type: object
          description: The owner of this form batch. Currently always a Business Entity.
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"business_entity"`).
              readOnly: true
        form_type:
          type: string
          description: The type of Forms in this batch (e.g. T4, RL-1).
          maxLength: 255
          enum:
            - rl1
            - roe
            - t4
            - t4a
            - td1
            - td1ab
            - td1bc
            - td1mb
            - td1nb
            - td1nl
            - td1ns
            - td1nt
            - td1nu
            - td1on
            - td1pe
            - td1sk
            - td1x
            - td1yt
            - tp_1015_3_v
            - tp_1015_r_13_v
        form_stage:
          type: string
          description: >-
            The lifecycle stage of the Forms in this batch: original, amendment,
            or cancellation.
          enum:
            - amendment
            - cancellation
            - original
        effective_date:
          type: string
          description: >-
            The effective date used to determine the form variant for all Forms
            in this batch.
          format: date
        status:
          type: string
          description: The submission status of this batch.
          enum:
            - done
            - draft
            - processing
            - submitted
        contact_name:
          type: string
          description: The name of the contact person responsible for this submission.
          maxLength: 255
        contact_email:
          type: string
          description: The email address of the contact person.
          maxLength: 255
        contact_area_code:
          type: string
          description: The 3-digit area code of the contact's phone number.
          maxLength: 255
        contact_phone_number:
          type: string
          description: The 7-digit phone number of the contact.
          maxLength: 255
        contact_extension:
          type: string
          description: The optional extension for the contact's phone number.
          nullable: true
          maxLength: 255
        note:
          type: string
          description: An optional note for this form batch.
          nullable: true
        metadata:
          type: object
          description: >-
            Form-type-specific metadata for this batch. Structure varies by form
            type.
          nullable: true
          properties:
            counts:
              type: object
              nullable: true
              properties:
                total:
                  type: number
                  nullable: true
                  format: decimal
                valid:
                  type: number
                  nullable: true
                  format: decimal
                invalid:
                  type: number
                  nullable: true
                  format: decimal
                draft:
                  type: number
                  nullable: true
                  format: decimal
                approved:
                  type: number
                  nullable: true
                  format: decimal
                processing:
                  type: number
                  nullable: true
                  format: decimal
                submitted:
                  type: number
                  nullable: true
                  format: decimal
                done:
                  type: number
                  nullable: true
                  format: decimal
                rejected:
                  type: number
                  nullable: true
                  format: decimal
            flags:
              type: object
              nullable: true
              properties:
                is_submittable:
                  type: boolean
            timestamps:
              type: object
              nullable: true
              properties:
                submitted_at:
                  type: string
                  readOnly: true
                  nullable: true
                  format: dateTime
                completed_at:
                  type: string
                  readOnly: true
                  nullable: true
                  format: dateTime
            identifiers:
              type: object
              nullable: true
              properties:
                confirmation_number:
                  type: string
                  nullable: true
                  maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````